import React, { forwardRef } from 'react';
import { useIsDesktop } from '@alfalab/core-components-mq/moderncssm';
import { PatternLockDesktopV1 } from './desktop/Component.desktop.js';
import { PatternLockMobileV1 } from './mobile/Component.mobile.js';

/**
 * @deprecated
 * Использует PatternLock
 */
const PatternLockV1 = forwardRef(({ breakpoint, ...restProps }, ref) => {
    const isDesktop = useIsDesktop();
    const Component = isDesktop ? PatternLockDesktopV1 : PatternLockMobileV1;
    return React.createElement(Component, { ref: ref, ...restProps });
});

export { PatternLockV1 };
